package metrics

import (
	"github.com/prometheus/client_golang/prometheus"
	"github.com/prometheus/client_golang/prometheus/promauto"
)

var (
	NumErrors = promauto.NewGauge(
		prometheus.GaugeOpts{
			Namespace: "infra",
			Subsystem: "pod_cleaner",
			Name:      "orphans_pod_error_count",
			Help:      "Number of orphan pods that failed to be cleaned",
		},
	)
)
